module CRemoveMudBucketPermission
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_RemoveMudBucketPermission()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_RemoveMudBucketPermission=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_RemoveMudBucketPermission=Kelly'
!#endif
!        endif
        
    end subroutine
        
    subroutine Subscribe_RemoveMudBucketPermission()
        implicit none
        ! imp me...
    end subroutine
    
end module CRemoveMudBucketPermission